Package org.eclipse.e4.ui.css.core.dom.properties

# Interface CSSBorderProperties

All Known Implementing Classes:
  `CSSBorderPropertiesImpl`

public interface CSSBorderProperties
CSS Border properties interface.

Version:
  1.0.0
Author:
  Angelo ZERR

## Method Summary

Modifier and Type
Method
Description
`CSSPrimitiveValue`
`getColor()`
Return border-color value.
`String`
`getStyle()`
Return border-style value.
`int`
`getWidth()`
Return border-width value.
`void`
`setColor(CSSPrimitiveValue color)`
Set border-color value.
`void`
`setStyle(String style)`
Set border-style value.
`void`
`setWidth(int width)`
Set border-width value.

## Method Details

### getColor

CSSPrimitiveValue getColor()
Return border-color value.

### setColor

void setColor(CSSPrimitiveValue color)
Set border-color value.

### getWidth

int getWidth()
Return border-width value.

### setWidth

void setWidth(int width)
Set border-width value.

### getStyle

String getStyle()
Return border-style value.

### setStyle

void setStyle(String style)
Set border-style value.